import type { Action } from 'svelte/action';
import type { Options } from './types';
export declare function copyText(text: string): Promise<void>;
/**
 * A svelte action to copy text to clipboard.
 *
 * @see https://svelte-copy.willow.codes
 *
 * @example
 *
 * <script>
 *     import { copy } from 'svelte-copy';
 * </script>
 *
 * <button use:copy={'Hello World'}>
 *     Click me!
 * </button>
 */
export declare const copy: Action<Element, string | Options>;
